<!DOCTYPE html>
<html>

<head>
    <title>Login</title>
    <link rel="stylesheet" href="{{ url_for('static', filename='login.css') }}" />
	<link rel="icon" href="favicon.png" type="image/png" />
</head>

<body>
    <div id="page">
        <form action="" method=post>
            {{ form.csrf_token }}

            <div id="input_container">
                <label for="username">Username:</label>
                {{ form.username }}
                <label for="password">Password:</label>
                {{ form.password }}
            </div>

            <div id="button_container">
                <a href="/signup"><input type="button" value="Sign up"></a>
                <input type=submit value="Log in">
            </div>
            <input type=hidden value="{{ next or '' }}" name=next>
        </form>
    </div>

    <script>
        let error = '{{ error }}'
        if (error) alert(error)
    </script>

</body>
